Skip to main content
GET
/
v1
/
api-tokens
List API tokens
curl --request GET \
  --url http://co-mind-platform-host/v1/api-tokens \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "abc123",
    "name": "CI/CD Pipeline Token",
    "scopes": [
      "chat:write",
      "models:read"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "last_used_at": "2023-11-07T05:31:56Z",
    "is_expired": false,
    "is_revoked": false
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication. Supports two token types:

  • JWT Access Token — obtained via POST /v1/auth/login
  • Personal Access Token (PAT) — created via POST /v1/api-tokens, format: cmnd_<tokenId>.<secret>

Response

200 - application/json

List of API tokens

id
string
Example:

"abc123"

name
string
Example:

"CI/CD Pipeline Token"

scopes
string[]
Example:
["chat:write", "models:read"]
created_at
string<date-time>
expires_at
string<date-time>
last_used_at
string<date-time> | null
is_expired
boolean
Example:

false

is_revoked
boolean
Example:

false